Export Nsx Recommended Rules

Export Nsx Recommended Rules
Export recommended firewall rules for NSX-v

Export recommended firewall rules based on the flow data gathered by VCF Operations for networks in NSX-V compatible format. The output will be a .zip file download.

Request
URI
POST
https://{api_host}/api/ni/micro-seg/recommended-rules/nsx
COPY
Request Body

NSX Recommended Firewall Rules Request

RecommendedRulesRequest of type(s) application/json
Optional
{
    "group_1": {
        "entity": {
            "entity_id": "string",
            "entity_type": "VirtualMachine",
            "entity_name": "string"
        }
    },
    "group_2": {
        "entity": {
            "entity_id": "string",
            "entity_type": "VirtualMachine",
            "entity_name": "string"
        }
    },
    "time_range": {
        "start_time": 1597247025,
        "end_time": 1597247999
    },
    "include_external": false
}
object
group_1
Optional

group_1

object
group_2
Optional

group_2

object
time_range
Optional

time_range

boolean
include_external
Optional

When True, includes ungrouped endpoints outside defined scope

Authentication
This operation uses the following authentication methods.
Responses
200

Success

Returns file of type(s) application/octet-stream
Operation doesn't return any data structure

400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/micro-seg/recommended-rules/nsx